import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listSummary(query) {
  return request({
    url: '/station/summary/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getSummary(id) {
  return request({
    url: '/station/summary/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addSummary(data) {
  return request({
    url: '/station/summary',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateSummary(data) {
  return request({
    url: '/station/summary',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delSummary(id) {
  return request({
    url: '/station/summary/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportSummary(query) {
  return request({
    url: '/station/summary/export',
    method: 'get',
    params: query
  })
}